<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_211) on Fri May 03 19:11:23 MSK 2019 -->
<title>PaperRectangle</title>
<meta name="date" content="2019-05-03">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PaperRectangle";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/mail/korneva/figure/PaperCircle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ru/mail/korneva/figure/PaperTriangle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/mail/korneva/figure/PaperRectangle.html" target="_top">Frames</a></li>
<li><a href="PaperRectangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ru.mail.korneva.figure</div>
<h2 title="Class PaperRectangle" class="title">Class PaperRectangle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">ru.mail.korneva.figure.Figure</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../ru/mail/korneva/figure/Rectangle.html" title="class in ru.mail.korneva.figure">ru.mail.korneva.figure.Rectangle</a></li>
<li>
<ul class="inheritance">
<li>ru.mail.korneva.figure.PaperRectangle</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../ru/mail/korneva/paper/IPaper.html" title="interface in ru.mail.korneva.paper">IPaper</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PaperRectangle</span>
extends <a href="../../../../ru/mail/korneva/figure/Rectangle.html" title="class in ru.mail.korneva.figure">Rectangle</a>
implements <a href="../../../../ru/mail/korneva/paper/IPaper.html" title="interface in ru.mail.korneva.paper">IPaper</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.ru.mail.korneva.paper.IPaper">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;ru.mail.korneva.paper.<a href="../../../../ru/mail/korneva/paper/IPaper.html" title="interface in ru.mail.korneva.paper">IPaper</a></h3>
<code><a href="../../../../ru/mail/korneva/paper/IPaper.Color.html" title="enum in ru.mail.korneva.paper">IPaper.Color</a>, <a href="../../../../ru/mail/korneva/paper/IPaper.Painted.html" title="class in ru.mail.korneva.paper">IPaper.Painted</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#PaperRectangle-double-double-">PaperRectangle</a></span>(double&nbsp;sideA,
              double&nbsp;sideB)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#PaperRectangle-ru.mail.korneva.figure.Figure-">PaperRectangle</a></span>(<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;paperFigure)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#equals-java.util.Objects-">equals</a></span>(java.util.Objects&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../ru/mail/korneva/paper/IPaper.Color.html" title="enum in ru.mail.korneva.paper">IPaper.Color</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#getColor--">getColor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../ru/mail/korneva/paper/IPaper.Painted.html" title="class in ru.mail.korneva.paper">IPaper.Painted</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#getPainted--">getPainted</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#setColor-ru.mail.korneva.paper.IPaper.Color-">setColor</a></span>(<a href="../../../../ru/mail/korneva/paper/IPaper.Color.html" title="enum in ru.mail.korneva.paper">IPaper.Color</a>&nbsp;color)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/PaperRectangle.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ru.mail.korneva.figure.Rectangle">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;ru.mail.korneva.figure.<a href="../../../../ru/mail/korneva/figure/Rectangle.html" title="class in ru.mail.korneva.figure">Rectangle</a></h3>
<code><a href="../../../../ru/mail/korneva/figure/Rectangle.html#equals-java.lang.Object-">equals</a>, <a href="../../../../ru/mail/korneva/figure/Rectangle.html#getArea--">getArea</a>, <a href="../../../../ru/mail/korneva/figure/Rectangle.html#getMinSize--">getMinSize</a>, <a href="../../../../ru/mail/korneva/figure/Rectangle.html#getPerimeter--">getPerimeter</a>, <a href="../../../../ru/mail/korneva/figure/Rectangle.html#getSideA--">getSideA</a>, <a href="../../../../ru/mail/korneva/figure/Rectangle.html#getSideB--">getSideB</a>, <a href="../../../../ru/mail/korneva/figure/Rectangle.html#setRSideB--">setRSideB</a>, <a href="../../../../ru/mail/korneva/figure/Rectangle.html#setSideA--">setSideA</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PaperRectangle-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PaperRectangle</h4>
<pre>public&nbsp;PaperRectangle(double&nbsp;sideA,
                      double&nbsp;sideB)</pre>
</li>
</ul>
<a name="PaperRectangle-ru.mail.korneva.figure.Figure-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PaperRectangle</h4>
<pre>public&nbsp;PaperRectangle(<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;paperFigure)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>public&nbsp;<a href="../../../../ru/mail/korneva/paper/IPaper.Color.html" title="enum in ru.mail.korneva.paper">IPaper.Color</a>&nbsp;getColor()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../ru/mail/korneva/paper/IPaper.html#getColor--">getColor</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../ru/mail/korneva/paper/IPaper.html" title="interface in ru.mail.korneva.paper">IPaper</a></code></dd>
</dl>
</li>
</ul>
<a name="setColor-ru.mail.korneva.paper.IPaper.Color-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setColor</h4>
<pre>public&nbsp;void&nbsp;setColor(<a href="../../../../ru/mail/korneva/paper/IPaper.Color.html" title="enum in ru.mail.korneva.paper">IPaper.Color</a>&nbsp;color)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../ru/mail/korneva/paper/IPaper.html#setColor-ru.mail.korneva.paper.IPaper.Color-">setColor</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../ru/mail/korneva/paper/IPaper.html" title="interface in ru.mail.korneva.paper">IPaper</a></code></dd>
</dl>
</li>
</ul>
<a name="getPainted--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPainted</h4>
<pre>public&nbsp;<a href="../../../../ru/mail/korneva/paper/IPaper.Painted.html" title="class in ru.mail.korneva.paper">IPaper.Painted</a>&nbsp;getPainted()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../ru/mail/korneva/paper/IPaper.html#getPainted--">getPainted</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../ru/mail/korneva/paper/IPaper.html" title="interface in ru.mail.korneva.paper">IPaper</a></code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../ru/mail/korneva/figure/Rectangle.html#toString--">toString</a></code>&nbsp;in class&nbsp;<code><a href="../../../../ru/mail/korneva/figure/Rectangle.html" title="class in ru.mail.korneva.figure">Rectangle</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>super.toString()+"sideA= "+ sideA +"sideB= "+ sideB</dd>
</dl>
</li>
</ul>
<a name="equals-java.util.Objects-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.util.Objects&nbsp;o)</pre>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../ru/mail/korneva/figure/Rectangle.html#hashCode--">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="../../../../ru/mail/korneva/figure/Rectangle.html" title="class in ru.mail.korneva.figure">Rectangle</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/mail/korneva/figure/PaperCircle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ru/mail/korneva/figure/PaperTriangle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/mail/korneva/figure/PaperRectangle.html" target="_top">Frames</a></li>
<li><a href="PaperRectangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
